<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:standard="http://www.eclipse.org/uml2/5.0.0/UML/Profile/Standard" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML">
  <uml:Model xmi:id="_R2cTEPBBEeuxCbW4mH-AcQ" name="OPC_UA_DI_Library">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_R3CI8PBBEeuxCbW4mH-AcQ">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_Yf4sQPBBEeuxCbW4mH-AcQ" name="DeviceHealthEnumeration">
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_U9hKsOVqEeuK2OTQc7f2CQ" name="NORMAL">
        <ownedComment xmi:type="uml:Comment" xmi:id="_hKtgUOVqEeuK2OTQc7f2CQ" annotatedElement="_U9hKsOVqEeuK2OTQc7f2CQ">
          <body>This device functions normally.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_cVLo8AvDEey5mNEicnT4kw" value="1"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_W0-bkOVqEeuK2OTQc7f2CQ" name="FAILURE">
        <ownedComment xmi:type="uml:Comment" xmi:id="_jXW-EOVqEeuK2OTQc7f2CQ" annotatedElement="_W0-bkOVqEeuK2OTQc7f2CQ">
          <body>Malfunction of the device or any of its peripherals.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_wQPVAOVqEeuK2OTQc7f2CQ" value="1"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_X95LcOVqEeuK2OTQc7f2CQ" name="CHECK_FUNCTION">
        <ownedComment xmi:type="uml:Comment" xmi:id="_k-ukgOVqEeuK2OTQc7f2CQ" annotatedElement="_X95LcOVqEeuK2OTQc7f2CQ">
          <body>Functional checks are currently performed.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_xiC7IOVqEeuK2OTQc7f2CQ" value="2"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_bVTMIOVqEeuK2OTQc7f2CQ" name="OFF_SPEC">
        <ownedComment xmi:type="uml:Comment" xmi:id="_myGmoOVqEeuK2OTQc7f2CQ" annotatedElement="_bVTMIOVqEeuK2OTQc7f2CQ">
          <body>The device is currently working outside of its specified range or that internal diagnoses indicate deviations from measured or set values.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_y3PMcOVqEeuK2OTQc7f2CQ" value="3"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_dH2H0OVqEeuK2OTQc7f2CQ" name="MAINTENANCE_REQUIRED">
        <ownedComment xmi:type="uml:Comment" xmi:id="_ohjLAOVqEeuK2OTQc7f2CQ" annotatedElement="_dH2H0OVqEeuK2OTQc7f2CQ">
          <body>This element is working, but a maintenance operation is required.</body>
        </ownedComment>
        <specification xmi:type="uml:LiteralInteger" xmi:id="_0RHwgOVqEeuK2OTQc7f2CQ" value="4"/>
      </ownedLiteral>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_5xf20PEFEeuWOsRU4Brfyg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_5xgd4PEFEeuWOsRU4Brfyg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/uml2/5.0.0/UML/Profile/Standard#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://UML_PROFILES/Standard.profile.uml#_0"/>
    </profileApplication>
  </uml:Model>
  <standard:ModelLibrary xmi:id="_65lgQPEFEeuWOsRU4Brfyg" base_Package="_R2cTEPBBEeuxCbW4mH-AcQ"/>
</xmi:XMI>
